﻿using System;
using Medo.Web.GData;

namespace GDataClientLoginSample {
    class App {
        static void Main(string[] args) {
            Console.Write("User name: ");
            string userName = Console.ReadLine();

            Console.Write("Password : ");
            Console.ForegroundColor = Console.BackgroundColor;
            string password = Console.ReadLine();
            Console.ResetColor();

            Console.Clear();

            using (var x = new GDataClientLogin(userName, password)) {
                try {
                    var token = x.GetDocumentsListDataAuthorizationToken();
                    Console.ForegroundColor = ConsoleColor.Green;
                    Console.WriteLine("Authorization succeeded.");
                    Console.ResetColor();
                    Console.WriteLine(token);
                } catch (InvalidOperationException) {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("Authorization failed!");
                    Console.ResetColor();
                }
            }



            Console.ReadKey(true);
        }
    }
}
